int CreateDouwesenCharacters(int n)
{
	ref ch;

	makeref(ch,Characters[n]);		// Reynard Grueneveldt -- 
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Reynard Grueneveldt";
	ch.model	= "Nobleman";
	ch.sex = "man";
	ch.location	= "Douwesen_townhall";
	ch.location.group = "goto";
	ch.location.locator = "goto5";
	ch.Dialog.Filename = "Reynard Grueneveldt_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "2";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "2";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_RemoveLoginTime(ch);
	LAi_SetHuberStayType(ch);
	LAi_SetStayHuberPointMap(ch, "goto", "goto4");
	LAi_SetStayHuberPointWindow(ch, "goto", "goto6");
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	ch.greeting = "Gr_Reynard Grueneveldt";
	n = n + 1;

// Douwesen soldiers' IDs  are "Dou_soldier_1", etc

//Location: Douwesen Pier (an entrance to the town from the pier)

    makeref(ch,Characters[n]);			//Soldier    
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_soldier_1";
	ch.model	= "soldier_hol6";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, true);
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.location.locator = "goto16";
	ch.Dialog.Filename = "Douwesen soldier_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Douwesen Soldier";
	n = n + 1;

    makeref(ch,Characters[n]);			//Soldier     --  
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_soldier_2";
	ch.model	= "soldier_hol2";
	LAi_CharacterReincarnation(ch, true, true);
	ch.sound_type = "soldier";
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.location.locator = "goto17";
	ch.Dialog.Filename = "Douwesen soldier_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Douwesen Soldier";
	n = n + 1;

	makeref(ch,Characters[n]);			//Patrol
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_patrol_1";
	ch.model	= "soldier_hol4";
	ch.sound_type = "soldier";
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.location.locator = "goto10";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	n = n + 1;

	makeref(ch,Characters[n]);			//Patrol
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_patrol_2";
	ch.model	= "soldier_hol5";
	LAi_CharacterReincarnation(ch, true, true);
	ch.sound_type = "soldier";
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.lkcation.locator = "goto7";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	n = n + 1;

	makeref(ch,Characters[n]);			//Patrol
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_patrol_3";
	ch.model	= "soldier_hol3";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, true);
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.location.locator = "goto5";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	n = n + 1;

	makeref(ch,Characters[n]);		// Anne Paers -- towngirl2
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Anne Paers";
	ch.model	= "towngirl2";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.location.locator = "goto10";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Woman_Dutch Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Laurens Bloem -- Chelovek
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Laurens Bloem";
	ch.model	= "Chelovek";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.location.locator = "goto9";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Stefan Loseir -- fisherman
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Stefan Loseir";
	ch.model	= "fisherman";
	ch.sex = "man";
	ch.sound_type = "seaman";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.location.locator = "goto7";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Peter Emden -- man4
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Peter Emden";
	ch.model	= "man4";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.location.locator = "goto5";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;


	makeref(ch,Characters[n]);		// Kersten Dekker -- bocman
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Kersten Dekker";
	ch.model	= "bocman";
	ch.sex = "man";
	ch.sound_type = "seaman";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.location.locator = "goto2";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Nol Meens -- 
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Nol Meens";
	ch.model	= "rabWhite";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_port";
	ch.location.group = "goto";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

// Douwesen_town

    makeref(ch,Characters[n]);			//Soldier      
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_soldier_3";
	ch.model	= "soldier_hol6";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, true);
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Douwesen soldier_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Douwesen Soldier";
	n = n + 1;

    makeref(ch,Characters[n]);			//Soldier        --  
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_soldier_4";
	ch.model	= "soldier_hol4";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, true);
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto2";
	ch.Dialog.Filename = "Douwesen soldier_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Douwesen Soldier";
	n = n + 1;

	makeref(ch,Characters[n]);		// Ricout Harmse -- man1
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Ricout Harmse";
	ch.model	= "man1";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto8";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Mattheus Doull -- man2
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Mattheus Doull";
	ch.model	= "man2";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto37";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Eduard Gerrits -- man3
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Eduard Gerrits";
	ch.model	= "man3";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto32";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Johan Van Pelt -- fatman
	ch.name 	= "";
	ch.lastname = " ";
	ch.id		= "Johan Van Pelt";
	ch.model	= "fatman";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto18";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Raes Stevense -- man6
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Raes Stevense";
	ch.model	= "man6";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto15";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Dirrik  Jacobse -- chameleon
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Dirrik  Jacobse";
	ch.model	= "chameleon";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto10";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Sefia Christoffel -- towngirl1
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Sefia Christoffel";
	ch.model	= "towngirl1";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto27";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Woman_Dutch Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Yden Kalkman -- shkiper
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Yden Kalkman";
	ch.model	= "shkiper";
	ch.sex = "man";
	ch.sound_type = "seaman";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto35";
	ch.Dialog.Filename = "Douwesen citizen_dialog.c";
	ch.greeting = "Gr_Douwesen Citizen";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

    makeref(ch,Characters[n]);			//Soldier  
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_soldier_5";
	ch.model	= "soldier_hol3";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, true);
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto28";
	ch.Dialog.Filename = "Douwesen soldier_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Douwesen Soldier";
	n = n + 1;

    makeref(ch,Characters[n]);			//Soldier    --  
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_soldier_6";
	ch.model	= "soldier_hol2";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, true);
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto29";
	ch.Dialog.Filename = "Douwesen soldier_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Douwesen Soldier";
	n = n + 1;

    makeref(ch,Characters[n]);			//Soldier      
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_soldier_7";
	ch.model	= "soldier_hol5";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, true);
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto19";
	ch.Dialog.Filename = "Douwesen soldier_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Douwesen Soldier";
	n = n + 1;

    makeref(ch,Characters[n]);			//Soldier        --  
	ch.name 	= "";
	ch.lastname 	= " ";
	ch.id		= "Dou_soldier_8";
	ch.model	= "soldier_hol3";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, true);
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	ch.location	= "Douwesen_town";
	ch.location.group = "goto";
	ch.location.locator = "goto20";
	ch.Dialog.Filename = "Douwesen soldier_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_SOLDIERS");
	ch.greeting = "Gr_Douwesen Soldier";
	n = n + 1;

// Douwesen_shipyard:

	makeref(ch,Characters[n]);		// Lambrecht Fobes -- Old_man1 (shipyard owner)
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Lambrecht Fobes";
	ch.model	= "Old_man1";
	ch.sex = "man";
	ch.location	= "Douwesen_shipyard";
	ch.location.group = "sit";
	ch.location.locator = "sit_1";
	ch.Dialog.Filename = "Lambrecht Fobes_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetHuberType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	ch.greeting = "Gr_Lambrecht Fobes";
	n = n + 1;


// Douwesen_Store:

	makeref(ch,Characters[n]);		// Gheerlof Darlang -- Storeman2 (Store holder)
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Gheerlof Darlang";
	ch.model	= "Storeman2";
	ch.sex = "man";
	ch.location	= "Douwesen_Store";
	ch.location.group = "goto";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Gheerlof Darlang_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "20";
	ch.quest.trade_date = "";
	ch.quest.item_date = "";
	LAi_SetMerchantType(ch);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	ch.greeting = "Gr_Gheerlof Darlang";
	n = n + 1;

// Douwesen_Tavern:

	makeref(ch,Characters[n]);		// Friedrich Corleis -- man5 (Tavern holder)
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Friedrich Corleis";
	ch.model	= "man5";
	ch.sex = "man";
	ch.location	= "Douwesen_Tavern";
	ch.location.group = "merchant";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Friedrich Corleis_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "2";
	ch.work = "";
	LAi_SetBarmanType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	ch.greeting = "Gr_Friedrich Corleis";
	n = n + 1;

	makeref(ch,Characters[n]);		// Baernt Jans -- fatman2
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Baernt Jans";
	ch.model	= "fatman2";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_Tavern";
	ch.location.group = "sit";
	ch.location.locator = "sit7";
	ch.Dialog.Filename = "Habitue_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "3";
	ch.money = "10";
	ch.quest.last_theme = "";
	LAi_SetSitType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Olivier Fessler -- korsar
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Olivier Fessler";
	ch.model	= "korsar";
	ch.sex = "man";
	ch.sound_type = "seaman";
	ch.location	= "Douwesen_Tavern";
	ch.location.group = "sit";
	ch.location.locator = "sit1";
	ch.Dialog.Filename = "Habitue_dialog.c";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "3";
	ch.money = "10";
	ch.quest.last_theme = "";
	LAi_SetSitType(ch);
	LAi_SetLoginTime(ch, 5.0, 21.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Toff Oremans -- man5_1
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Toff Oremans";
	ch.model	= "Searcher";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_Tavern";
	ch.location.group = "sit";
	ch.location.locator = "sit4";
	ch.Dialog.Filename = "Toff Oremans_dialog.c";
	ch.greeteing = "Gr_Toff Oremans";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	ch.quest.daughter = "";
	LAi_SetSitType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Tanneken Oremans --
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Tanneken Oremans";
	ch.model	= "towngirl2_1";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.greeting = "Dut_f_a_001.wav";
	ch.location	= "none";
	ch.location.group = "sit";
	ch.location.locator = "sit3";
	ch.Dialog.Filename = "Tanneken Oremans_dialog.c";
	ch.greeting = "Gr_Tanneken Oremans";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetMerchantType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Conceicao_officiant
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Douwesen_officiant";
	ch.model	= "towngirl2";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Douwesen_tavern";
	ch.location.group = "goto";
	ch.location.locator = "goto3";
	ch.Dialog.Filename = "Eng_Officiant_dialog.c";
	ch.greeting = "Gr_eng_officiant";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	ch.quest.sex = 0;
	ch.sex.time = 0;
	LAi_SetWaitressType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	n = n + 1;

// Pirate_Fort:

	makeref(ch,Characters[n]);		// Clays Hafte -- man4
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Clays Hafte";
	ch.model	= "man4";
	ch.sex = "man";
	ch.act.sound_type = "pirate";
	GiveItem2Character(ch, "blade10");
	ch.equip.blade = "blade10";
	ch.location	= "Pirate_Fort";
	ch.location.group = "goto";
	ch.location.locator = "goto37";
	ch.Dialog.Filename = "douwesen pirate_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_SOLDIERS");
	ch.greeting = "Gr_douwesen pirate";
	n = n + 1;

	makeref(ch,Characters[n]);		// Hans Elting -- Corsair2
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Hans Elting";
	ch.model	= "Corsair2";
	ch.sex = "man";
	ch.act.sound_type = "pirate";
	GiveItem2Character(ch, "blade18");
	ch.equip.blade = "blade18";
	ch.location	= "Pirate_Fort";
	ch.location.group = "goto";
	ch.location.locator = "goto8";
	ch.Dialog.Filename = "douwesen pirate_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_SOLDIERS");
	ch.greeting = "Gr_douwesen pirate";
	n = n + 1;

	makeref(ch,Characters[n]);		// Andries Lorine -- Corsair3
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Andries Lorine";
	ch.model	= "Corsair3";
	ch.sex = "man";
	ch.act.sound_type = "pirate";
	GiveItem2Character(ch, "blade18");
	ch.equip.blade = "blade18";
	ch.location	= "Pirate_Fort";
	ch.location.group = "goto";
	ch.location.locator = "goto43";
	ch.Dialog.Filename = "douwesen pirate_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_SOLDIERS");
	ch.greeting = "Gr_douwesen pirate";
	n = n + 1;

	makeref(ch,Characters[n]);		// Willem  Maritz -- man5
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Willem Maritz";
	ch.model	= "man5";
	ch.sex = "man";
	ch.act.sound_type = "pirate";
	GiveItem2Character(ch, "blade5");
	ch.equip.blade = "blade5";
	ch.location	= "Pirate_Fort";
	ch.location.group = "goto";
	ch.location.locator = "goto9";
	ch.Dialog.Filename = "douwesen pirate_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_SOLDIERS");
	ch.greeting = "Gr_douwesen pirate";
	n = n + 1;

	makeref(ch,Characters[n]);		// Pieter Nolt -- Corsair1
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Pieter Nolt";
	ch.model	= "Corsair1";
	ch.sex = "man";
	ch.act.sound_type = "pirate";
	GiveItem2Character(ch, "blade18");
	ch.equip.blade = "blade18";
	GiveItem2Character(ch, "pistol2");
	ch.equip.gun = "pistol2";
	ch.location	= "Pirate_Fort";
	ch.location.group = "goto";
	ch.location.locator = "goto20";
	ch.Dialog.Filename = "Pieter Nolt_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "8";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "7";
	ch.skill.Cannons = "6";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 180.0, 180.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_SOLDIERS");
	ch.greeting = "Gr_Pieter Nolt";
	n = n + 1;

	makeref(ch,Characters[n]);		// Ector Clenen -- bocman1
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Ector Clenen";
	ch.model	= "bocman1";
	ch.sex = "man";
	ch.act.sound_type = "pirate";
	GiveItem2Character(ch, "blade21");
	ch.equip.blade = "blade21";
	ch.location	= "Pirate_Fort";
	ch.location.group = "goto";
	ch.location.locator = "goto11";
	ch.Dialog.Filename = "douwesen pirate_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "8";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "7";
	ch.skill.Cannons = "6";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_SOLDIERS");
	ch.greeting = "Gr_douwesen pirate";
	n = n + 1;

	makeref(ch,Characters[n]);		// Heyne Deburghraeve -- man3
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Heyne Deburghraeve";
	ch.model	= "man3";
	ch.sex = "man";
	ch.act.sond_type = "pirate";
	GiveItem2Character(ch, "blade13");
	ch.equip.blade = "blade13";
	ch.location	= "Pirate_Fort";
	ch.location.group = "goto";
	ch.location.locator = "goto9";
	ch.Dialog.Filename = "douwesen pirate_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "8";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "7";
	ch.skill.Cannons = "6";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_SOLDIERS");
	ch.greeting = "Gr_douwesen pirate";
	n = n + 1;

	makeref(ch,Characters[n]);		// Severin Bonvoisin -- man3
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Severin Bonvoisin";
	ch.model	= "man2";
	ch.sex = "man";
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade15");
	ch.equip.blade = "blade15";
	ch.location	= "Pirate_Fort";
	ch.location.group = "goto";
	ch.location.locator = "goto43";
	ch.Dialog.Filename = "douwesen pirate_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "8";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "7";
	ch.skill.Cannons = "6";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_SOLDIERS");
	ch.greeting = "Gr_douwesen pirate";
	n = n + 1;

	makeref(ch,Characters[n]);		// Alistair Garcilaso --    
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Alistair Garcilaso";
	ch.model	= "Corsair1";
	ch.sex = "man";
	GiveItem2Character(ch, "blade14");
	ch.equip.blade = "blade14";
	GiveItem2Character(ch, "pistol2");
	ch.equip.gun = "pistol2";
	ch.location	= "Douwesen_Pirate_Residence";
	ch.location.group = "sit";
	ch.location.locator = "sit1";
	ch.Dialog.Filename = "Alistair Garcilaso_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 2;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "2";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1000";
	LAi_SetSitType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_CITIZENS");
	ch.greeting = "Gr_Alistair Garcilaso";
	n = n + 1;

	makeref(ch,Characters[n]);		// Mario Figuiera --    
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Mario Figuiera";
	ch.model	= "man4";
	ch.sex = "man";
	GiveItem2Character(ch, "blade18");
	ch.equip.blade = "blade18";
	ch.location	= "Pirate_Tavern";
	ch.location.group = "merchant";
	ch.location.locator = "goto3";
	ch.Dialog.Filename = "Mario Figuiera_dialog.c";
	ch.greeting = "Gr_Mario Figuiera";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetBarmanType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Conceicao_officiant
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Pirate_officiant";
	ch.model	= "towngirl2";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Pirate_tavern";
	ch.location.group = "goto";
	ch.location.locator = "goto7";
	ch.Dialog.Filename = "Eng_Officiant_dialog.c";
	ch.greeting = "Gr_eng_officiant";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	ch.quest.sex = 0;
	ch.sex.time = 0;
	LAi_SetWaitressType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Elkzander Dumarteene --
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Elkzander Dumarteene";
	ch.model	= "man4";
	ch.sex = "man";
	ch.sound_type = "seaman";
	GiveItem2Character(ch, "blade7");
	ch.equip.blade = "blade7";
	ch.location	= "Pirate_Tavern";
	ch.location.group = "sit";
	ch.location.locator = "sit1";
	ch.Dialog.Filename = "Habitue_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "4";
	ch.money = "100";
	LAi_SetSitType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);		// Leandro Sousa --
	ch.name 	= "";
	ch.lastname = "";
	ch.id		= "Leandro Sousa";
	ch.model	= "man4";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	GiveItem2Character(ch, "blade7");
	ch.equip.blade = "blade7";
	ch.location	= "Pirate_Tavern";
	ch.location.group = "sit";
	ch.location.locator = "sit3";
	ch.Dialog.Filename = "Habitue_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "4";
	ch.money = "100";
	LAi_SetSitType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_group_MoveCharacter(ch, "DOUWESEN_PIRATE_CITIZENS");
	n = n + 1;

	return n;
}